%define module_name	gatos_km
%define module_release	alt1.132620.11
%define module_version	20050716

%define kversion	2.6.12
%define krelease	alt11
%define flavour		vs26-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	Linux %{module_name} kernel modules for AIW multimedia cards support.
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://gatos.sourceforge.net
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Kernel multimedia modules from GATOS project for support AIW cards multimedia
capabilites (like digital broadcasting and video live recoding).

%prep

%__rm -rf kernel-source-%module_name-%module_version

%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%if "%kversion" <= "2.6.0"
# build for 2.4 kernel
%__ln_s Makefile-2.4 Makefile
%make CC=gcc-$GCC_VERSION TOPDIR=%_usrsrc/linux-%kversion-%flavour/
%else
# build for 2.6 kernel
%__ln_s Makefile-2.6 Makefile
%make -fMakefile-2.6 CC=gcc-$GCC_VERSION KDIR=%_usrsrc/linux-%kversion-%flavour/
%endif

%install
%__mkdir -p \
    $RPM_BUILD_ROOT/%module_dir
%if "%kversion" <= "2.6.0"
%__cp -a km_drv.o km_api_drv.o $RPM_BUILD_ROOT/%module_dir
%else
%__cp -a *.ko $RPM_BUILD_ROOT/%module_dir
%endif


%make KDIR=%_usrsrc/linux-%kversion-%flavour/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir
%doc README km.actual.rfc.txt km.rfc.txt ChangeLog

%changelog
* Sat Jul 16 2005 LAKostis <lakostis at altlinux.ru> 20050716-alt1.132620.11
- new cvs snapshot.
- now we work with 2.6.12.

* Sat Jun 11 2005 LAKostis <lakostis at altlinux.ru> 20050611-alt1.132620.11
- new cvs snapshot.
- hope we can work with 2.6.11 :)

* Sun Apr 03 2005 LAKostis <lakostis at altlinux.ru> 20041218-alt1.132620.11
- initial build for Sisyphus

